# This file created by conda-build 2.1.15
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/theano-recipe.git', commit b'dc90d74f985a05227308aecb1ccbcd9259322479'
# ------------------------------------------------

package:
    name: theano
    version: '1.1'
source:
    git_rev: ver-1.1
    git_url: /workdir/theano-recipe/https:/github.com/intel/Theano.git
    patches:
        - intel_defaults.patch
        - intel_test_fixes.patch
build:
    features:
        - intel
    noarch: ''
    noarch_python: false
    number: '3'
    string: py27_intel_3
requirements:
    build:
        - openmp 2018.0.0 intel_7
        - tcl 8.6.4 intel_17
        - mkl 2018.0.0 intel_3
        - six 1.10.0 py27_intel_8
        - cython 0.25.2 py27_intel_18
        - tk 8.6.4 intel_26
        - setuptools 27.2.0 py27_intel_0
        - numpy 1.13.1 py27_intel_15
        - icc_rt 16.0.3 intel_14
        - mkl-devel 2018.0.0 intel_14
        - scipy 0.19.1 np113py27_intel_11
        - openssl 1.0.2k intel_3
        - python 2.7.13 intel_2
        - zlib 1.2.11 intel_3
        - mkl-include 2018.0.0 intel_2
        - intelpython 2018.0.0 3
        - sqlite 3.13.0 intel_15
    run:
        - intelpython
        - python
        - setuptools
        - six >=1.9.0
        - numpy >=1.3.0
        - scipy >=0.7.0
        - icc_rt
        - mkl
test:
    imports:
        - theano
        - theano.compile
        - theano.compile.sandbox
        - theano.compile.tests
        - theano.gof
        - theano.gof.tests
        - theano.misc
        - theano.sandbox
        - theano.sandbox.cuda
        - theano.sandbox.cuda.tests
        - theano.scalar
        - theano.scalar.tests
        - theano.sparse
        - theano.sparse.tests
        - theano.tensor
        - theano.tensor.nnet
        - theano.tensor.nnet.tests
        - theano.tensor.signal
        - theano.tensor.signal.tests
        - theano.tensor.tests
        - theano.tests
    requires:
        - intel_tester
        - nose >=1.3.0
        - nose-parameterized >=0.5.0
about:
    home: http://deeplearning.net/software/theano/
    license: BSD 3-Clause
    summary: Optimizing compiler for evaluating mathematical expressions on CPUs and
        GPUs.
extra:
    final: true
